ALTER TABLE NNAJAVE_STATUS
ADD TEXT_COLOR VARCHAR2(20 CHAR);

CREATE OR REPLACE VIEW V_NAJAVE AS (
SELECT DISTINCT N.ID AS ID_NAJAVE, N.ID_DVIGALA, N.ID_LASTNIKA, N.ID_PLOVILA, N.ID_STORITVE, N.SIFRA_DVIGALA, N.SIFRA_STORITVE, N.VRSTA_NAJAVE, N.DATUM, N.URA_OD, N.URA_DO, N.DATUM_OD, N.DATUM_DO,
N.LASTNIK_OBVESCEN, N.ID_PRIVEZ, NP.N_PRIVEZA, N.KOMENTAR, N.NAVODILO, N.ID_DN, N.STATUS, N.NNLOCATION_ID,
NS.OPIS AS STATUS_OPIS, NS.INTERNI_OPIS AS STATUS_INTERNI_OPIS, NS.COLOR AS STATUS_COLOR, NS.TEXT_COLOR AS STATUS_TEXT_COLOR,
VN.LIFT_SERVICE AS VRSTA_NAJAVE_LIFT_SERVICE, VN.LAUNCH_SERVICE AS VRSTA_NAJAVE_LAUNCH_SERVICE, 
S.COMPLETE, M.OPIS AS STORITEV, P.IME AS IME_PLOVILA, P.TEZA AS TEZA_PLOVILA, P.DATUM_ZAVAROVANJE AS PLOVILA_DATUM_ZAVAROVANJE, P.N_ZAVAROVALNE_POLICE AS PLOVILA_N_ZAVAROVALNE_POLICE,
NVL(K.PRIIMEK, '') || ' ' || NVL(K.IME, '') AS LASTNIK, K.PRIIMEK AS KUPCI_PRIIMEK, K.IME AS KUPCI_IME,
ND.OPIS AS NNDVIGAL_OPIS, ND.INTERNI_OPIS AS NNDVIGAL_INTERNI_OPIS, ND.NOSILNOST AS NNDVIGAL_NOSILNOST, ND.COLOR AS NNDVIGAL_COLOR,
MD.DATUM_DN AS M_DE_NA_DATUM_DN, MD.TERMIN_DO AS M_DE_NA_TERMIN_DO, MD.STEVILKA AS M_DE_NA_STEVILKA, MD.KOMENTAR AS M_DE_NA_KOMENTAR,
(SELECT LISTAGG(KUP.IME,', ') WITHIN GROUP(ORDER BY KUP.IME ASC) BOAT_CONTACT_NAMES FROM KONT_OSB_PLOVILA KOP, KUPCI KUP WHERE KOP.ID_OSEBE = KUP.ID AND KOP.ID_PLOVILA = N.ID_PLOVILA) AS BOAT_CONTACT_NAMES
FROM NAJAVE N
LEFT OUTER JOIN NNAJAVE_STATUS NS ON NS.SIFRA = N.STATUS
LEFT OUTER JOIN VRSTA_NAJAVE VN ON VN.SIFRA = N.VRSTA_NAJAVE
LEFT OUTER JOIN M_NNSTOMAR M ON N.SIFRA_STORITVE = M.SIFRA
LEFT OUTER JOIN PLOVILA P ON N.ID_PLOVILA = P.ID
LEFT OUTER JOIN KUPCI K ON N.ID_LASTNIKA = K.ID
LEFT OUTER JOIN M_STORITVE S ON N.ID_STORITVE = S.ID_STORITVE
LEFT OUTER JOIN NNPRIVEZ NP ON NP.ID_PRIVEZ = N.ID_PRIVEZ
LEFT OUTER JOIN NNDVIGAL ND ON ND.ID = N.ID_DVIGALA
LEFT OUTER JOIN M_DE_NA MD ON MD.ID_DN = N.ID_DN
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1299, SYSDATE, '5.5', 1219, 'Najave text color')
;
