CREATE TABLE FB_NOTE_LOCATION (
ID_FB_NOTE_LOCATION NUMBER NOT NULL,
ID_FB_NOTE NUMBER,
ID_FB_LOCATION NUMBER,
CONSTRAINT FB_NOTE_LOCATION_TYPE_PK PRIMARY KEY (ID_FB_NOTE_LOCATION),
CONSTRAINT FB_NOTE_LOCATION_NOTE_FK FOREIGN KEY (ID_FB_NOTE) REFERENCES FB_NOTE(ID_FB_NOTE),
CONSTRAINT FB_NOTE_LOCATION_LOCATION_FK FOREIGN KEY (ID_FB_LOCATION) REFERENCES FB_LOCATION(ID_FB_LOCATION)
);

CREATE SEQUENCE FB_NOTE_LOCATION_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

INSERT INTO FB_NOTE_LOCATION(ID_FB_NOTE_LOCATION, ID_FB_NOTE, ID_FB_LOCATION)
SELECT FB_NOTE_LOCATION_SEQ.NEXTVAL, ID_FB_NOTE, ID_FB_LOCATION
FROM FB_NOTE
WHERE ID_FB_LOCATION IS NOT NULL AND ACTIVE = 'Y'
AND ID_FB_NOTE NOT IN (SELECT ID_FB_NOTE FROM FB_NOTE_LOCATION);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1888, SYSDATE, '5.5', 1808, 'MPogodbe version')
;
