ALTER TABLE QUESTIONNAIRE_ANSWER
DROP COLUMN ID_MARINA_EVENT;

CREATE TABLE EVENT_QUESTIONNAIRE_ANSWER (
	ID NUMBER NOT NULL,
  ID_MARINA_EVENT NUMBER NOT NULL,
	ID_QUESTIONNAIRE_ANSWER NUMBER NOT NULL,
	CONSTRAINT EQA_MARINA_EVENT_FK FOREIGN KEY (ID_MARINA_EVENT) REFERENCES MARINA_EVENT(ID),
	CONSTRAINT EQA_QUESTIONNAIRE_ANSWER_FK FOREIGN KEY (ID_QUESTIONNAIRE_ANSWER) REFERENCES QUESTIONNAIRE_ANSWER(ID),
	CONSTRAINT EVENT_QUESTIONNAIRE_ANSWER_PK PRIMARY KEY (ID)
);

CREATE SEQUENCE EVENT_QUESTIONNAIRE_ANSWER_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

ALTER TABLE SECTION_QUESTION
ADD INPUT_REQUIRED VARCHAR2(1 CHAR);

CREATE OR REPLACE VIEW V_SECTION_QUESTION AS (
	SELECT SQ.ID, SQ.ID_SECTION, SQ.ID_QUESTION, SQ.ID_QUESTIONNAIRE, SQ.SORT, SQ.INPUT_REQUIRED, Q.NAME AS QUESTIONNAIRE_NAME, 
  SC.NAME AS SECTION_NAME, QU.NAME AS QUESTION_NAME, QU.QUESTION AS QUESTION_QUESTION, QU.TYPE AS QUESTION_TYPE 
	FROM SECTION_QUESTION SQ
  LEFT OUTER JOIN QUESTIONNAIRE Q ON Q.ID = SQ.ID_QUESTIONNAIRE
  LEFT OUTER JOIN SECTION SC ON SC.ID = SQ.ID_SECTION
  LEFT OUTER JOIN QUESTION QU ON QU.ID = SQ.ID_QUESTION
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (757, SYSDATE, '5.5', 677, 'Vprasalniki');