CREATE OR REPLACE VIEW V_KONT_OSB_PLOVILA AS (
	SELECT KOP.ID_KONT_OSB_PLOVILA, KOP.ID_PLOVILA, KOP.ID_OSEBE, KOP.ODNOS, KOP.NOTE, KOP.PREFERRED, KOP.CO_OWNER, 
  PLOVILA.IME AS PLOVILA_IME,
  NNPK.OPIS AS ODNOS_OPIS, NNPK.INTERNI_OPIS AS ODNOS_INTERNI_OPIS,
  KUPCI_OSEBA.PRIIMEK AS OSEBA_PRIIMEK, KUPCI_OSEBA.IME AS OSEBA_IME, KUPCI_OSEBA.NASLOV AS OSEBA_NASLOV, KUPCI_OSEBA.MESTO AS OSEBA_MESTO, KUPCI_OSEBA.POSTA AS OSEBA_POSTA
	FROM KONT_OSB_PLOVILA KOP
  LEFT OUTER JOIN PLOVILA PLOVILA ON KOP.ID_PLOVILA = PLOVILA.ID
  LEFT OUTER JOIN KUPCI KUPCI_OSEBA ON KOP.ID_OSEBE = KUPCI_OSEBA.ID
  LEFT OUTER JOIN NNODNOS_PLOVILA_KUPCI NNPK ON KOP.ODNOS = NNPK.SIFRA
);

INSERT INTO NNODNOS_PLOVILA_KUPCI(SIFRA, OPIS, INTERNI_OPIS, AKT)
VALUES ('CON', 'Contractor', 'Contractor', 'Y');

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1113, SYSDATE, '5.5', 1033, 'Contractor')
;
