CREATE TABLE TEMPLATE_QUERY (
	ID_TEMPLATE_QUERY NUMBER NOT NULL,
	NAME VARCHAR2(100 CHAR) NOT NULL,
	ID_TEMPLATE NUMBER NOT NULL,
	ID_QUERY NUMBER NOT NULL,
	DATE_CREATED DATE,
	USER_CREATED VARCHAR2(30 CHAR),
	DATE_CHANGED DATE,
	USER_CHANGED VARCHAR2(30 CHAR),
	ACT VARCHAR2(1 CHAR),
	CONSTRAINT TEMPLATE_QUERY_ID_TEMPLATE_FK FOREIGN KEY (ID_TEMPLATE) REFERENCES TEMPLATE(ID_TEMPLATE),
	CONSTRAINT TEMPLATE_QUERY_ID_QUERY_FK FOREIGN KEY (ID_QUERY) REFERENCES QUERY(ID_QUERY),
	CONSTRAINT TEMPLATE_QUERY_PK PRIMARY KEY (ID_TEMPLATE_QUERY)
);

CREATE SEQUENCE TEMPLATE_QUERY_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(472, SYSDATE, '5.5', 392, 'Predloge');