CREATE TABLE KONTIRANJE (
ID NUMBER NOT NULL,
VRSTA VARCHAR2(50 CHAR) NOT NULL,
KONTO VARCHAR2(15 CHAR) NOT NULL,
N_FK_ID NUMBER,
S_FK_ID VARCHAR2(50 CHAR),
CONSTRAINT PK_KONTIRANJE PRIMARY KEY (ID));

CREATE SEQUENCE KONTIRANJE_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

INSERT INTO KONTIRANJE (ID, VRSTA, KONTO) VALUES (KONTIRANJE_SEQ.NEXTVAL, 'PRODUCT DEBIT', 'E10007');
INSERT INTO KONTIRANJE (ID, VRSTA, KONTO) VALUES (KONTIRANJE_SEQ.NEXTVAL, 'PRODUCT CREDIT', 'A50005');

INSERT INTO KONTIRANJE (ID, VRSTA, KONTO) VALUES (KONTIRANJE_SEQ.NEXTVAL, 'CONSIGNMENT DEBIT', 'E10012');
INSERT INTO KONTIRANJE (ID, VRSTA, KONTO) VALUES (KONTIRANJE_SEQ.NEXTVAL, 'CONSIGNMENT CREDIT', 'S10011');

CREATE UNIQUE INDEX IX_KONTIRANJE1 ON KONTIRANJE (VRSTA, N_FK_ID, S_FK_ID);

insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(557, SYSDATE, '5.5', 477, 'Excel GK izvoz HHYC');