CREATE OR REPLACE VIEW V_KUPCI_CORRESPONDENCE
AS (
SELECT KK.ID AS ID_KUPCI_CORRESPONDENCE, KK.ID_KUPCA, KK.VRSTA_CORR, KK.NASLOV, KK.POSTA, KK.KRAJ, KK.NDRZAVA, KK.PREFERRED, KK.AKT, KK.COMPANY_NAME, KK.NATURE_OF_BUSINESS, KK.STATE,
DR.OPIS AS NNDRZAVE_OPIS, DR.INTERNI_OPIS AS NNDRZAVE_INTERNI_OPIS, K.PRIIMEK AS KUPCI_PRIIMEK, K.IME AS KUPCI_IME, K.ID_MEMBER AS KUPCI_ID_MEMBER, 
VR.TIP AS NNVRSCORR_TIP, VR.OPIS AS NNVRSCORR_OPIS, VR.INTERNI_OPIS AS NNVRSCORR_INTERNI_OPIS, VR.AKT AS NNVRSCORR_AKT
FROM KUPCI_CORRESPONDENCE KK
JOIN KUPCI K ON K.ID = KK.ID_KUPCA
LEFT OUTER JOIN NNDRZAVE DR ON DR.SIFRA = KK.NDRZAVA
LEFT OUTER JOIN NNVRSCORR VR ON VR.SIFRA = KK.VRSTA_CORR
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (658, SYSDATE, '5.5', 578, 'State corespondence');